Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# G4VInteractiveSession Class Reference

`#include <G4VInteractiveSession.hh>`

Inheritance diagram for G4VInteractiveSession:

[legend]
List of all members.

## Public Member Functions
| G4VInteractiveSession ()
virtual | ~G4VInteractiveSession ()
virtual void | AddMenu (const char *, const char *)
virtual void | AddButton (const char *, const char *, const char *)
void | AddInteractor (G4String, G4Interactor)
G4Interactor | GetInteractor (G4String)
## Private Types
typedef std::map< G4String, G4Interactor, std::less< G4String > > | G4interactor_map
## Private Attributes
G4UImessenger * | messenger
G4interactor_map | interactors

## Member Typedef Documentation

typedef std::map<G4String,G4Interactor, std::less<G4String> > G4VInteractiveSession::G4interactor_map`[private]`

| Definition at line 58 of file G4VInteractiveSession.hh.

## Constructor & Destructor Documentation

G4VInteractiveSession::G4VInteractiveSession | ( |  | ) |

| Definition at line 33 of file G4VInteractiveSession.cc. References messenger.
    00034 {
    00035   messenger = new G4InteractorMessenger(this);
    00036 }

G4VInteractiveSession::~G4VInteractiveSession | ( |  | ) | `[virtual]`

| Definition at line 39 of file G4VInteractiveSession.cc. References messenger.
    00040 {
    00041   delete messenger;
    00042 }

## Member Function Documentation

void G4VInteractiveSession::AddButton | ( | const char * | ,
|  | const char * | ,
|  | const char * |
| ) | `[virtual]`

| Reimplemented in G4UIQt, G4UIWin32, and G4UIXm. Definition at line 50 of file G4VInteractiveSession.cc. Referenced by G4InteractorMessenger::SetNewValue().
    00051 {
    00052 }

void G4VInteractiveSession::AddInteractor | ( | G4String | ,
|  | G4Interactor |
| ) |

| Definition at line 55 of file G4VInteractiveSession.cc. References G4Interactor, and interactors. Referenced by G4UIXm::AddMenu(), G4UIWin32::AddMenu(), and G4UIQt::AddMenu().
    00057 {
    00058   interactors[a_name] = a_interactor;
    00059 }

void G4VInteractiveSession::AddMenu | ( | const char * | ,
|  | const char * |
| ) | `[virtual]`

| Reimplemented in G4UIQt, G4UIWin32, and G4UIXm. Definition at line 45 of file G4VInteractiveSession.cc. Referenced by G4InteractorMessenger::SetNewValue().
    00046 {
    00047 }

G4Interactor G4VInteractiveSession::GetInteractor | ( | G4String |  | ) |

| Definition at line 62 of file G4VInteractiveSession.cc. References G4Interactor, and interactors. Referenced by G4UIXm::AddButton(), G4UIWin32::AddButton(), and G4UIQt::AddButton().
    00063 {
    00064   G4interactor_map::iterator it;
    00065   if((it=interactors.find(a_name))==interactors.end()) return NULL;
    00066   return (*it).second;
    00067 }

## Member Data Documentation

G4interactor_map G4VInteractiveSession::interactors`[private]`

| Definition at line 59 of file G4VInteractiveSession.hh. Referenced by AddInteractor(), and GetInteractor().

G4UImessenger* G4VInteractiveSession::messenger`[private]`

| Definition at line 57 of file G4VInteractiveSession.hh. Referenced by G4VInteractiveSession(), and ~G4VInteractiveSession().

The documentation for this class was generated from the following files:

- G4VInteractiveSession.hh
- G4VInteractiveSession.cc